# Interface IRefactoringHistoryListener

public interface IRefactoringHistoryListener
Interface for refactoring history listeners.Clients may register a refactoring history listener with the `IRefactoringHistoryService` obtained by calling `RefactoringCore.getHistoryService()` in order to get informed about refactoring history events.

Note: this interface is intended to be implemented by clients.

Since:
  3.2
See Also:
  - `IRefactoringHistoryService`
  - `RefactoringHistoryEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`historyNotification(RefactoringHistoryEvent event)`
Gets called if a refactoring history event happened.

## Method Details

### historyNotification

void historyNotification(RefactoringHistoryEvent event)
Gets called if a refactoring history event happened.

Implementors of this method should not rely on a fixed set of event types.

The event object is valid only for the duration of this method.

Parameters:
  `event` - the refactoring history event